/***************************************************************************
 *		  Copyright (C) 1994  Charles P. Peterson                  *
 *	     4007 Enchanted Sun, San Antonio, Texas 78244-1254             *
 *              Email: Charles_P_Peterson@fcircus.sat.tx.us                *
 *                                                                         *
 *		  This is free software with NO WARRANTY.                  *
 *	      See gfft.c, or run program itself, for details.              *
 *		      Support is available for a fee.                      *
 ***************************************************************************
 *
 * Program:     gfft--General FFT analysis
 * File:        defxtern.h
 * Purpose:     macro allowing shared declaration and one-place definition
 * Author:      Charles Peterson (CPP)
 * History:     31-May-1993 CPP; Created.
 * Comment:     
 */

#ifdef DEFXTERN
#undef DEFXTERN
#undef DEFXTERNU
#endif

#ifdef DEFINE_HERE
#define DEFXTERN(type,name,value) type name = value;
#define DEFXTERNU(type,name) type name;
#else
#define DEFXTERN(type,name,value) extern type name;
#define DEFXTERNU(type,name) extern type name;
#endif
